# AaveV4CollateralSwitch

### Description

Switch action if user wants to use tokens for collateral on aaveV4 spoke.

### Action ID

`0xba79ba14`

### SDK Action

```ts
const aaveV4CollateralSwitchAction = new dfs.actions.aavev4.AaveV4CollateralSwitchAction(
    spoke,
    onBehalf,
    reserveId,
    useAsCollateral
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param spoke Address of the spoke.
    /// @param onBehalf Address to switch collateral on behalf of. Defaults to the user's wallet if not provided.
    /// @param reserveId Reserve id.
    /// @param useAsCollateral Whether to use the tokens as collateral.
    struct Params {
        address spoke;
        address onBehalf;
        uint256 reserveId;
        bool useAsCollateral;
    }
```

### Return Value

```solidity
return bytes32(0);
```

### Events and Logs

```solidity
emit ActionEvent("AaveV4CollateralSwitch", logData);
logger.logActionDirectEvent("AaveV4CollateralSwitch", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/aave-v4/aavev4collateralswitch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
